## osm2pgrouting 2.1.0

=== CMakeLists.txt ===
PROJECT(osm2pgrouting)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
set (SHARE_DIR "/usr/share/osm2pgrouting")

FIND_PACKAGE(PostgreSQL REQUIRED)
FIND_PACKAGE(EXPAT REQUIRED)
FIND_PACKAGE(Boost REQUIRED)
FIND_PACKAGE(Boost 1.40 COMPONENTS program_options REQUIRED )

FILE(GLOB SRC "${CMAKE_SOURCE_DIR}/src/*.cpp" "${CMAKE_SOURCE_DIR}/src/*.h")

#set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FILE_OFFSET_BITS=64 -std=c++0x -fPIC -O2 -g -Wall -Wconversion -pedantic -fmax-errors=10 -Wextra  -frounding-math -Wno-deprecated")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FILE_OFFSET_BITS=64 -std=c++0x -O2")

#INCLUDE_DIRECTORIES(src ${POSTGRESQL_INCLUDE_DIR} ${EXPAT_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

#ADD_EXECUTABLE(osm2pgrouting ${SRC})
#TARGET_LINK_LIBRARIES(osm2pgrouting ${POSTGRESQL_LIBRARIES} ${EXPAT_LIBRARIES})

message(STATUS "POSTGRESQL_INCLUDE_DIR: ${POSTGRESQL_INCLUDE_DIR}")
message(STATUS "EXPAT_INCLUDE_DIRS: ${EXPAT_INCLUDE_DIRS}")
message(STATUS "Boost_INCLUDE_DIRS: ${Boost_INCLUDE_DIRS}")
message(STATUS "Boost_INCLUDE_DIR: ${Boost_INCLUDE_DIR}")
message(STATUS "POSTGRESQL_LIBRARIES: ${POSTGRESQL_LIBRARIES}")
message(STATUS "Boost_LIBRARIES: ${boost_LIBRARIES}")

INCLUDE_DIRECTORIES(src ${POSTGRESQL_INCLUDE_DIR} ${EXPAT_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})

ADD_EXECUTABLE(osm2pgrouting ${SRC})

TARGET_LINK_LIBRARIES(osm2pgrouting ${POSTGRESQL_LIBRARIES} ${EXPAT_LIBRARIES} ${Boost_LIBRARIES} )

INSTALL(TARGETS osm2pgrouting
  RUNTIME DESTINATION "/usr/bin"
)

INSTALL(FILES
    "${CMAKE_SOURCE_DIR}/COPYING"
    "${CMAKE_SOURCE_DIR}/Readme.md"
    "${CMAKE_SOURCE_DIR}/mapconfig.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_cars.xml"
    DESTINATION "${SHARE_DIR}")


#INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
#TARGET_LINK_LIBRARIES( osm2pgrouting ${Boost_LIBRARIES} )

=== debian/changelog ===
osm2pgrouting (2.1.0-1) unstable; urgency=medium

  * New upstream release.
    (closes: #822991)
  * Restructure control file with cme.
  * Change maintainer to Debian GIS team.
  * Add myself to Uploaders.
  * Use optional priority to match pgrouting.
  * Bump debhelper compatibility to 9.
  * Use minimal dh rules instead of cdbs, changes:
    - Enable parallel builds
    - Enable all hardening buildflags
    - Override dh_install to use --list-missing
  * Add watch file for GitHub releases.
  * Add build dependency on libboost-program-options-dev.
  * Update copyright file, changes:
    - Use standalone license paragraph for GPL-2+
    - Add copyright holders
    - Add license & copyright for cpplint.py & FindPostgreSQL.cmake
  * Use source format 3.0 (quilt).
  * Add patch to fix spelling errors.
  * Fix description synopsis phrasing.
  * Don't install extra license file.
  * Add upstream metadata.
  * Add Vcs-* control fields.
  * Bump Standards-Version to 3.9.8, changes: Vcs-* fields.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 20:40:41 +0200

osm2pgrouting (2.0.0-release-ppa1~trusty1) trusty; urgency=medium

  * Rebuild for trusty

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Wed, 23 Apr 2014 22:20:34 +0900

osm2pgrouting (2.0.0-release-ppa1~precise2) precise; urgency=medium

  * changed RUNTIME DESTINATION target

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Sun, 23 Feb 2014 05:53:29 +0900

osm2pgrouting (2.0.0-release-ppa1~saucy1) saucy; urgency=medium

  * Imported Upstream version 2.0.0-release
  * Cleaned up and updated Debian directory

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Sun, 22 Sep 2013 11:22:58 +0900

osm2pgrouting (2.0.0-beta-ppa4) quantal; urgency=medium

  [ Daniel Kastl (Georepublic) ]
  * Imported Upstream version 2.0.0-beta2

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Sat, 29 Jun 2013 09:12:59 +0900

osm2pgrouting (2.0.0-beta-ppa3) quantal; urgency=medium

  [ Daniel Kastl (Georepublic) ]
  * Imported Upstream version 2.0.0-beta

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Mon, 24 Jun 2013 13:39:21 +0900

osm2pgrouting (2.0.0-alpha-ppa2) raring; urgency=medium

  [ Daniel Kastl (Georepublic) ]
  * Imported Upstream version 2.0.0-alpha
  * Updated debian packaging documents
  * Changed to CDBS

 -- Daniel Kastl (Georepublic) <daniel@georepublic.de>  Tue, 18 Jun 2013 16:31:41 +0900

osm2pgrouting (0.1-6) natty; urgency=low

  * Package for Natty

 -- Daniel Kastl <daniel@georepublic.de>  Tue, 21 Jun 2011 17:22:52 +0900

osm2pgrouting (0.1-5) maverick; urgency=low

  * Increased build number because of build problems in Launchpad (no changes)

 -- Daniel Kastl <daniel@georepublic.de>  Thu, 25 Nov 2010 11:45:14 +0900

osm2pgrouting (0.1-4) lucid; urgency=low

  * Added copyright information
  * Added long package description

 -- Daniel Kastl <daniel@georepublic.de>  Fri, 02 Jul 2010 01:53:09 +0900

osm2pgrouting (0.1-3) lucid; urgency=low

  * Set section to utils

 -- Frederic Junod <frederic.junod@camptocamp.com>  Wed, 30 Jun 2010 16:02:11 +0200

osm2pgrouting (0.1-2) lucid; urgency=low

  * Set distroseries to lucid.

 -- Frederic Junod <frederic.junod@camptocamp.com>  Wed, 30 Jun 2010 15:58:17 +0200

osm2pgrouting (0.1-1) unstable; urgency=low

  * Initial release

 -- Frederic Junod <frederic.junod@camptocamp.com>  Wed, 30 Jun 2010 08:55:33 +0200

=== debian/control ===
Source: osm2pgrouting
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Daniel Kastl <daniel@georepublic.de>,
           Bas Couwenberg <sebastic@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libboost-graph-dev,
               libboost-program-options-dev,
               libexpat1-dev,
               libpq-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgrouting.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgrouting.git
Homepage: https://github.com/pgRouting/osm2pgrouting

Package: osm2pgrouting
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tool to import OpenStreetMap data into a pgRouting database
 osm2pgrouting is a command line tool that makes it easy to import
 OpenStreetMap data into a pgRouting database. It builds the routing
 network topology automatically and creates tables for feature types and
 road classes. pgRouting has to be installed to be able to run
 osm2pgrouting.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install

	# Don't install extra license file
	$(RM) debian/*/usr/share/osm2pgrouting/COPYING

override_dh_install:
	dh_install --list-missing

## osm2pgrouting 2.2.0

=== CMakeLists.txt ===
PROJECT(osm2pgrouting)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
set (SHARE_DIR "/usr/share/osm2pgrouting")

FIND_PACKAGE(PostgreSQL REQUIRED)
FIND_PACKAGE(EXPAT REQUIRED)

FIND_PACKAGE(Boost)
if(Boost_INCLUDE_DIRS)
    message(STATUS "Boost headers were found here: ${Boost_INCLUDE_DIRS}")
else(Boost_INCLUDE_DIRS)
    message(FATAL_ERROR " Please check your Boost installation ") 
endif(Boost_INCLUDE_DIRS)

FIND_PACKAGE(Boost COMPONENTS program_options REQUIRED)

FILE(GLOB SRC "${CMAKE_SOURCE_DIR}/src/*.cpp" "${CMAKE_SOURCE_DIR}/src/*.h")

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FILE_OFFSET_BITS=64 -std=c++0x")
set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wconversion -pedantic -Wextra  -frounding-math -Wno-deprecated")



message(STATUS "POSTGRESQL_INCLUDE_DIR: ${POSTGRESQL_INCLUDE_DIR}")
message(STATUS "EXPAT_INCLUDE_DIRS: ${EXPAT_INCLUDE_DIRS}")
message(STATUS "Boost_INCLUDE_DIRS: ${Boost_INCLUDE_DIRS}")
message(STATUS "POSTGRESQL_LIBRARIES: ${POSTGRESQL_LIBRARIES}")
message(STATUS "Boost_LIBRARIES: ${boost_LIBRARIES}")

INCLUDE_DIRECTORIES(src ${POSTGRESQL_INCLUDE_DIR} ${EXPAT_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

ADD_EXECUTABLE(osm2pgrouting ${SRC})

TARGET_LINK_LIBRARIES(osm2pgrouting ${POSTGRESQL_LIBRARIES} ${EXPAT_LIBRARIES} ${Boost_LIBRARIES} )

INSTALL(TARGETS osm2pgrouting
    RUNTIME DESTINATION "/usr/bin"
    )

INSTALL(FILES
    "${CMAKE_SOURCE_DIR}/COPYING"
    "${CMAKE_SOURCE_DIR}/Readme.md"
    "${CMAKE_SOURCE_DIR}/mapconfig.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_cars.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_bicycles.xml"
    DESTINATION "${SHARE_DIR}")


#INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
#TARGET_LINK_LIBRARIES( osm2pgrouting ${Boost_LIBRARIES} )

=== debian/changelog ===
osm2pgrouting (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright holders
    - Add license & copyright for fix_typos.sh
  * Drop spelling-errors.patch, applied upstream.
  * Update AUTHORS filename in copyright and docs files.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Nov 2016 00:53:34 +0100

osm2pgrouting (2.1.0-2) unstable; urgency=medium

  * Add manpage for osm2pgrouting.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 10:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,11 @@
                libboost-graph-dev,
                libboost-program-options-dev,
                libexpat1-dev,
-               libpq-dev
+               libpq-dev,
+               docbook2x,
+               docbook-xsl,
+               docbook-xml,
+               xsltproc
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgrouting.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgrouting.git

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,24 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
+
+MANPAGES := $(wildcard debian/man/*.*.xml)
+
 %:
 	dh $@ --parallel
+
+override_dh_clean:
+	dh_clean debian/man/*.1
+
+override_dh_auto_build:
+	# Create man page from DocBook XML
+	for x in $(MANPAGES) ; do \
+	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
+	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
+	done
+
+	dh_auto_build
 
 override_dh_auto_install:
 	dh_auto_install

## osm2pgrouting 2.3.3

=== CMakeLists.txt ===
PROJECT(osm2pgrouting)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

if ( ${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR} )
    message(FATAL_ERROR "In-source builds not allowed.
    Please make a new directory (called a build directory) and run CMake from there.
    You may need to remove CMakeCache.txt." )
endif()

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
SET(SHARE_DIR "/usr/share/osm2pgrouting")

FIND_PACKAGE(PostgreSQL REQUIRED)
find_package(LibPQXX REQUIRED)
FIND_PACKAGE(EXPAT REQUIRED)


FIND_PACKAGE(Boost)
if(Boost_INCLUDE_DIRS)
    message(STATUS "Boost headers were found here: ${Boost_INCLUDE_DIRS}")
else(Boost_INCLUDE_DIRS)
    message(FATAL_ERROR " Please check your Boost installation ") 
endif(Boost_INCLUDE_DIRS)

FIND_PACKAGE(Boost COMPONENTS program_options REQUIRED)

FILE(GLOB osm2pgrouting_lib_SOURCES "${CMAKE_SOURCE_DIR}/src/*/*.cpp")

#---------------------------------------------
# C++ Compiler requirements
#---------------------------------------------
set(GNU_CXX_MINIMUM_VERSION "4.6")
set(MSVC_CXX_MINIMUM_VERSION "18.0")

include(CheckCXXCompilerFlag)

CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++14" COMPILER_SUPPORTS_CXX14)
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS GNU_CXX_MINIMUM_VERSION)
        message(FATAL_ERROR "GCC version must be at least ${GNU_CXX_MINIMUM_VERSION}!
        Found version ${CMAKE_CXX_COMPILER_VERSION}")
    endif()
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS MSVC_CXX_MINIMUM_VERSION)
        message(FATAL_ERROR "MSVC version must be at least ${MSVC_CXX_MINIMUM_VERSION}!")
    endif()
else()
    message(STATUS "Unknown compiler minimum version for ${CMAKE_CXX_COMPILER_ID}")
endif()

if(COMPILER_SUPPORTS_CXX14)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
    message(STATUS "Using  -std=c++14.")
elseif(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    message(STATUS "Using  -std=c++11.")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    message(STATUS "Using  -std=c++0x.")
else()
    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++0x or C++11 or C++14 flags support.")
endif()



set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FILE_OFFSET_BITS=64")
set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wconversion -pedantic -Wextra  -frounding-math -Wno-deprecated -fmax-errors=10")

if(WIN32 AND MSVC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_SECURE_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_SCL_SECURE_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_SECURE_NO_WARNINGS")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_SCL_SECURE_NO_WARNINGS")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_NONSTDC_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -EHsc")
endif()

#--------------------------------------------------------

set (OSM2PGROUTING_INCLUDE_DIRS "${CMAKE_SOURCE_DIR}/include")
message(STATUS "LIBPQXX_INCLUDE_DIRS: ${LIBPQXX_INCLUDE_DIRS}")
message(STATUS "POSTGRESQL_INCLUDE_DIR: ${POSTGRESQL_INCLUDE_DIR}")
message(STATUS "EXPAT_INCLUDE_DIRS: ${EXPAT_INCLUDE_DIRS}")
message(STATUS "Boost_INCLUDE_DIRS: ${Boost_INCLUDE_DIRS}")
message(STATUS "POSTGRESQL_LIBRARIES: ${POSTGRESQL_LIBRARIES}")
message(STATUS "Boost_LIBRARIES: ${boost_LIBRARIES}")
message(STATUS "LIBPQXX_LIBRARIES: ${LIBPQXX_LIBRARIES}")

INCLUDE_DIRECTORIES(src
    ${LIBPQXX_INCLUDE_DIRS}
    ${POSTGRESQL_INCLUDE_DIR}
    ${EXPAT_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${OSM2PGROUTING_INCLUDE_DIRS}
    )

ADD_EXECUTABLE(osm2pgrouting ${osm2pgrouting_lib_SOURCES})

TARGET_LINK_LIBRARIES(osm2pgrouting
    ${LIBPQXX_LIBRARIES}
    ${POSTGRESQL_LIBRARIES}
    ${EXPAT_LIBRARIES}
    ${Boost_LIBRARIES}
    )

INSTALL(TARGETS osm2pgrouting
    RUNTIME DESTINATION "/usr/bin"
    )

if(WIN32)
    target_link_libraries(osm2pgrouting wsock32 ws2_32)
endif()

INSTALL(FILES
    "${CMAKE_SOURCE_DIR}/COPYING"
    "${CMAKE_SOURCE_DIR}/Readme.md"
    "${CMAKE_SOURCE_DIR}/mapconfig.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_cars.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_bicycles.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_pedestrian.xml"
    DESTINATION "${SHARE_DIR}")


#INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
#TARGET_LINK_LIBRARIES( osm2pgrouting ${Boost_LIBRARIES} )

=== debian/changelog ===
osm2pgrouting (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Add libosmium2-dev to build dependencies.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Dec 2017 07:44:25 +0100

osm2pgrouting (2.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Oct 2017 07:22:10 +0200

osm2pgrouting (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Oct 2017 10:33:37 +0200

osm2pgrouting (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.1.1, no changes.
  * Update copyright years for pgRouting Contributors.
  * Add libpqxx-dev to build dependencies.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Oct 2017 18:20:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,14 @@
                libboost-graph-dev,
                libboost-program-options-dev,
                libexpat1-dev,
+               libosmium2-dev,
                libpq-dev,
+               libpqxx-dev,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgrouting.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 MANPAGES := $(wildcard debian/man/*.*.xml)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|osm2pgrouting)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osm2pgrouting-$1.$2/ \
https://github.com/pgRouting/osm2pgrouting/releases \
(?:.*?/)?(?:rel|v|osm2pgrouting)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osm2pgrouting 2.3.5

=== debian/changelog ===
osm2pgrouting (2.3.5-1build2) cosmic; urgency=medium

  * No-change rebuild for libpqxx soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Aug 2018 05:08:33 +0000

osm2pgrouting (2.3.5-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:01:49 +0000

osm2pgrouting (2.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4, no changes.
  * Strip trailing whitespace from rules file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 May 2018 08:22:14 +0200

osm2pgrouting (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.3, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Apr 2018 07:10:42 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgrouting.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgrouting.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgrouting
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting
 
 Package: osm2pgrouting

=== debian/rules ===
--- 
+++ 
@@ -36,4 +36,3 @@
 
 override_dh_install:
 	dh_install --list-missing
-

## osm2pgrouting 2.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 endif()
 
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
-SET(SHARE_DIR "/usr/share/osm2pgrouting")
+SET(SHARE_DIR "${CMAKE_INSTALL_PREFIX}/share/osm2pgrouting")
 
 FIND_PACKAGE(PostgreSQL REQUIRED)
 find_package(LibPQXX REQUIRED)
@@ -106,7 +106,7 @@
     )
 
 INSTALL(TARGETS osm2pgrouting
-    RUNTIME DESTINATION "/usr/bin"
+    RUNTIME DESTINATION "${CMAKE_INSTALL_PREFIX}/bin"
     )
 
 if(WIN32)

=== debian/changelog ===
osm2pgrouting (2.3.6-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Use ODbL-1.0 license shortname to match SPDX.
  * Update watch file to limit matches to archive path.
  * Remove documentation outside usr/share/doc.

  [ Christoph Berg ]
  * debian/tests: Do an actual import into PostgreSQL.
    (The old installability test was not enough, see #904942.)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Nov 2018 12:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgrouting
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting

=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,8 @@
 	# Don't install extra license file
 	$(RM) debian/*/usr/share/osm2pgrouting/COPYING
 
+	# Remove documentation outside usr/share/doc
+	$(RM) debian/*/usr/share/osm2pgrouting/Readme.md
+
 override_dh_install:
 	dh_install --list-missing

=== debian/tests/control ===
Depends: @, postgresql, postgresql-postgis, postgresql-postgis-scripts
Tests: osm2pgrouting
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|osm2pgrouting)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osm2pgrouting-$1.$2/ \
https://github.com/pgRouting/osm2pgrouting/releases \
(?:.*?/archive/)?(?:rel|v|osm2pgrouting)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osm2pgrouting 2.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 if(Boost_INCLUDE_DIRS)
     message(STATUS "Boost headers were found here: ${Boost_INCLUDE_DIRS}")
 else(Boost_INCLUDE_DIRS)
-    message(FATAL_ERROR " Please check your Boost installation ") 
+    message(FATAL_ERROR " Please check your Boost installation ")
 endif(Boost_INCLUDE_DIRS)
 
 FIND_PACKAGE(Boost COMPONENTS program_options REQUIRED)
@@ -115,7 +115,7 @@
 
 INSTALL(FILES
     "${CMAKE_SOURCE_DIR}/COPYING"
-    "${CMAKE_SOURCE_DIR}/Readme.md"
+    "${CMAKE_SOURCE_DIR}/README.md"
     "${CMAKE_SOURCE_DIR}/mapconfig.xml"
     "${CMAKE_SOURCE_DIR}/mapconfig_for_cars.xml"
     "${CMAKE_SOURCE_DIR}/mapconfig_for_bicycles.xml"

=== debian/changelog ===
osm2pgrouting (2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update README filename in docs.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Feb 2021 06:02:38 +0100

osm2pgrouting (2.3.6-3) unstable; urgency=medium

  * Don't append -DNDEBUG to CXXFLAGS, disables dbConnection.install_postGIS.
  * Add lintian overrides for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Oct 2020 21:10:58 +0200

osm2pgrouting (2.3.6-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.0, no changes.
  * Append -DNDEBUG to CXXFLAGS to remove buildpath from binaries.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

  [ Christoph Berg ]
  * Test-depend only on postgresql-postgis so the test doesn't get confused
    when "postgresql" changes version.

 -- Christoph Berg <myon@debian.org>  Wed, 14 Oct 2020 22:18:18 +0200

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\

## osm2pgrouting 2.3.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2 FATAL_ERROR)

if ( ${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR} )
    message(FATAL_ERROR "In-source builds not allowed.
    Please make a new directory (called a build directory) and run CMake from there.
    You may need to remove CMakeCache.txt." )
endif()

PROJECT(osm2pgrouting)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
SET(SHARE_DIR "${CMAKE_INSTALL_PREFIX}/share/osm2pgrouting")

find_package(PostgreSQL REQUIRED)
find_package(PQXX REQUIRED)
include_directories(${PQXX_INCLUDE_DIR})
find_package(EXPAT REQUIRED)


FILE(GLOB osm2pgrouting_lib_SOURCES "${CMAKE_SOURCE_DIR}/src/*/*.cpp")

#---------------------------------------------
# C++ Compiler requirements
#---------------------------------------------
#---------------------------------------------

#---------------------------------------------
# Boost
#---------------------------------------------
#---------------------------------------------
find_package(Boost ${BOOST_MINIMUM_VERSION} REQUIRED COMPONENTS program_options)
if (NOT Boost_VERSION_MACRO)
  set(Boost_VERSION_MACRO ${Boost_VERSION})
endif()
add_definitions(-DBoost_VERSION_MACRO=${Boost_VERSION_MACRO})
add_definitions(-DBOOST_ALLOW_DEPRECATED_HEADERS)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS})


message(STATUS "PQXX_VERSION=${PQXX_VERSION}")
if (PQXX_VERSION VERSION_GREATER_EQUAL "7.0.0")
  set(CMAKE_CXX_STANDARD 17)
else()
  add_definitions(-DPQXX_DISCONNECT)
  set(CMAKE_CXX_STANDARD 14)
endif()

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FILE_OFFSET_BITS=64")
set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wconversion -pedantic -Wextra  -frounding-math -Wno-deprecated -fmax-errors=10")

if(WIN32 AND MSVC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_SECURE_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_SCL_SECURE_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_SECURE_NO_WARNINGS")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_SCL_SECURE_NO_WARNINGS")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_NONSTDC_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -EHsc")
endif()

#--------------------------------------------------------

set (OSM2PGROUTING_INCLUDE_DIRS "${CMAKE_SOURCE_DIR}/include")
message(STATUS "PQXX_INCLUDE_DIR: ${PQXX_INCLUDE_DIR}")
message(STATUS "POSTGRESQL_INCLUDE_DIR: ${POSTGRESQL_INCLUDE_DIR}")
message(STATUS "EXPAT_INCLUDE_DIRS: ${EXPAT_INCLUDE_DIRS}")
message(STATUS "Boost_INCLUDE_DIRS: ${Boost_INCLUDE_DIRS}")
message(STATUS "POSTGRESQL_LIBRARIES: ${POSTGRESQL_LIBRARIES}")
message(STATUS "Boost_LIBRARIES: ${boost_LIBRARIES}")
message(STATUS "PQXX_LIBRARIES: ${PQXX_LIBRARIES}")

INCLUDE_DIRECTORIES(src
    ${POSTGRESQL_INCLUDE_DIR}
    ${EXPAT_INCLUDE_DIRS}
    ${OSM2PGROUTING_INCLUDE_DIRS}
    )

ADD_EXECUTABLE(osm2pgrouting ${osm2pgrouting_lib_SOURCES})

TARGET_LINK_LIBRARIES(osm2pgrouting
    ${PQXX_LIBRARIES}
    ${POSTGRESQL_LIBRARIES}
    ${EXPAT_LIBRARIES}
    ${Boost_LIBRARIES}
    )

INSTALL(TARGETS osm2pgrouting
    RUNTIME DESTINATION "${CMAKE_INSTALL_PREFIX}/bin"
    )

if(WIN32)
    target_link_libraries(osm2pgrouting wsock32 ws2_32)
endif()

INSTALL(FILES
    "${CMAKE_SOURCE_DIR}/COPYING"
    "${CMAKE_SOURCE_DIR}/README.md"
    "${CMAKE_SOURCE_DIR}/mapconfig.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_cars.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_bicycles.xml"
    "${CMAKE_SOURCE_DIR}/mapconfig_for_pedestrian.xml"
    DESTINATION "${SHARE_DIR}")


#INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
#TARGET_LINK_LIBRARIES( osm2pgrouting ${Boost_LIBRARIES} )

=== tools/osmium/CMakeLists.txt ===
PROJECT(getrestirction)
CMAKE_MINIMUM_REQUIRED(VERSION 3.2)

if ( ${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR} )
    message(FATAL_ERROR "In-source builds not allowed.
    Please make a new directory (called a build directory) and run CMake from there.
    You may need to remove CMakeCache.txt." )
endif()

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
SET(SHARE_DIR "/usr/share/getrestrictions")

FIND_PACKAGE(PostgreSQL REQUIRED)
find_package(LibPQXX REQUIRED)
FIND_PACKAGE(EXPAT REQUIRED)


find_package(Osmium REQUIRED COMPONENTS io pbf xml)
if(NOT OSMIUM_FOUND)
    message(WARNING "Libosmium not found!\n")
endif()
include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})






FIND_PACKAGE(Boost)
if(Boost_INCLUDE_DIRS)
    message(STATUS "Boost headers were found here: ${Boost_INCLUDE_DIRS}")
else(Boost_INCLUDE_DIRS)
    message(FATAL_ERROR " Please check your Boost installation ") 
endif(Boost_INCLUDE_DIRS)

FIND_PACKAGE(Boost COMPONENTS program_options REQUIRED)

FILE(GLOB SRC "${CMAKE_SOURCE_DIR}/src/*.cpp"  "${CMAKE_SOURCE_DIR}/src/*/*.cpp")

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FILE_OFFSET_BITS=64 -std=c++0x")
set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -g -Wconversion -pedantic -Wextra  -frounding-math -Wno-deprecated -fmax-errors=10")


set (OSM2PGROUTING_INCLUDE_DIRS "${CMAKE_SOURCE_DIR}/include")
message(STATUS "LIBPQXX_INCLUDE_DIRS: ${LIBPQXX_INCLUDE_DIRS}")
message(STATUS "POSTGRESQL_INCLUDE_DIR: ${POSTGRESQL_INCLUDE_DIR}")
message(STATUS "EXPAT_INCLUDE_DIRS: ${EXPAT_INCLUDE_DIRS}")
message(STATUS "Boost_INCLUDE_DIRS: ${Boost_INCLUDE_DIRS}")
message(STATUS "POSTGRESQL_LIBRARIES: ${POSTGRESQL_LIBRARIES}")
message(STATUS "Boost_LIBRARIES: ${boost_LIBRARIES}")
message(STATUS "LIBPQXX_LIBRARIES: ${LIBPQXX_LIBRARIES}")

INCLUDE_DIRECTORIES(src
    ${LIBPQXX_INCLUDE_DIRS}
    ${POSTGRESQL_INCLUDE_DIR}
    ${EXPAT_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${OSM2PGROUTING_INCLUDE_DIRS}
    )

ADD_EXECUTABLE(getrestrictions ${SRC})

TARGET_LINK_LIBRARIES(getrestrictions
    ${LIBPQXX_LIBRARIES}
    ${POSTGRESQL_LIBRARIES}
    ${EXPAT_LIBRARIES}
    ${Boost_LIBRARIES}
    ${OSMIUM_LIBRARIES}
    )

INSTALL(TARGETS getrestrictions
    RUNTIME DESTINATION "/usr/bin"
    )

=== debian/changelog ===
osm2pgrouting (2.3.8-3) unstable; urgency=medium

  * Enable Salsa CI.
  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Use execute_{before,after} instead of override in rules file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 19:41:24 +0100

osm2pgrouting (2.3.8-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 14:25:42 +0100

osm2pgrouting (2.3.8-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 12:37:53 +0200

osm2pgrouting (2.3.8-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Update upstream metadata.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Jun 2021 07:20:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libboost-graph-dev,
                libboost-program-options-dev,
@@ -16,10 +16,11 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgrouting
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting
+Rules-Requires-Root: no
 
 Package: osm2pgrouting
 Architecture: any

=== debian/tests/control ===
Depends: @, postgresql-postgis
Tests: osm2pgrouting
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|osm2pgrouting)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osm2pgrouting-$1.$2/ \
https://github.com/pgRouting/osm2pgrouting/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|osm2pgrouting)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osm2pgrouting 2.3.9

=== debian/changelog ===
osm2pgrouting (2.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Drop gcc-15.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Oct 2025 19:15:34 +0200

osm2pgrouting (2.3.8-4) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Add patch to fix FTFBS with GCC 15 & Boost 1.88.
    (closes: #1110600)
  * Add patch to fix FTBFS with CMake 4.x.
    (closes: #1113378)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Sep 2025 09:30:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,28 +14,18 @@
 MANPAGES := $(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@ --parallel
+	dh $@
 
-override_dh_clean:
-	dh_clean debian/man/*.1
-
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	# Create man page from DocBook XML
 	for x in $(MANPAGES) ; do \
 	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
 	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
 	done
 
-	dh_auto_build
-
-override_dh_auto_install:
-	dh_auto_install
-
+execute_after_dh_auto_install:
 	# Don't install extra license file
 	$(RM) debian/*/usr/share/osm2pgrouting/COPYING
 
 	# Remove documentation outside usr/share/doc
 	$(RM) debian/*/usr/share/osm2pgrouting/Readme.md
-
-override_dh_install:
-	dh_install --list-missing

## osm2pgrouting 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
+
+cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
+
 
 if ( ${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR} )
     message(FATAL_ERROR "In-source builds not allowed.
@@ -6,7 +8,8 @@
     You may need to remove CMakeCache.txt." )
 endif()
 
-PROJECT(osm2pgrouting)
+PROJECT(osm2pgrouting VERSION 3.0.0
+  LANGUAGES C CXX)
 
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 SET(SHARE_DIR "${CMAKE_INSTALL_PREFIX}/share/osm2pgrouting")
@@ -46,7 +49,7 @@
 endif()
 
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FILE_OFFSET_BITS=64")
-set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wconversion -pedantic -Wextra  -frounding-math -Wno-deprecated -fmax-errors=10")
+set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wconversion -pedantic -Wextra  -frounding-math -Wno-deprecated")
 
 if(WIN32 AND MSVC)
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_SECURE_NO_DEPRECATE")

=== tools/doxygen/Makefile ===
all:  doxygen

doxygen:
	mkdir -p ../../build/doxy/
	doxygen

=== debian/changelog ===
osm2pgrouting (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop cmake-4.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Nov 2025 07:48:35 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osm2pgrouting
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osm2pgrouting.git
 Homepage: https://github.com/pgRouting/osm2pgrouting
-Rules-Requires-Root: no
 
 Package: osm2pgrouting
 Architecture: any
